import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class SelectPopupComponent {
    private elRef;
    private renderer;
    popupElement: ElementRef;
    width: string;
    height: string;
    bgColor: string;
    fontColor: string;
    fontSize: string;
    selectedText: string | null;
    constructor(elRef: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    handleClickOutside(event: Event): void;
    handleSelection(event: any): void;
    showPopup(x: number, y: number, text: string): void;
    hidePopup(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectPopupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectPopupComponent, "lib-select-popup", never, { "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "bgColor": { "alias": "bgColor"; "required": false; }; "fontColor": { "alias": "fontColor"; "required": false; }; "fontSize": { "alias": "fontSize"; "required": false; }; }, {}, never, ["*"], false, never>;
}
